forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luca Morandini <luca.morandi...@tin.it>
Subject Re: Forrest CVS and Cocoon 2.1-M1/Xalan 2.5.0
Date Mon, 19 May 2003 17:57:01 GMT
J.Pietschmann wrote:
> Luca Morandini wrote:
> 
>> I don't think this holds true in my case, since there's only one 
>> Xalan, the one located in the tomcat/common/endorsed dir.
> 
> 
> Are you sure you aren't running JDK 1.4? If so, then there
> is a Xalan on your bootclasspath too, and a buggy one...

hmmm... I'm actually running JDK 1.4.1 01... but I never had this error, 
though I changed Xalan from 2.3.1 to 2.4.1 to 2.5.0 (during the switch 
from Cocoon 2.0.x to Cocoon 2.1).

AFAIK, the Xalan included in the tomcat-endorsed dir will be the one 
being used, since the JDK's one will be overridden... am I wrong ?


 > A IllegalAccessError in a serlet container almost always
 > indicates a bad mix of releases of the same software
 > package.

could the IllegalAccessError refer to the mismatch between what Forrest 
expects and what the environment is ?

Anyway, I'll wait 'til tomorrow, grab Cocoon 2.1-M2 and try to patch 
Forrest up, like Jeff advised.

BTW, Thanks for your advice :)

Regards,

-----------------------------------------
                Luca Morandini
                GIS Consultant
               lmorandini@ieee.org
http://space.virgilio.it/kumora/index.html
------------------------------------------



Mime
View raw message